LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 06-17-2003, 06:32 PM   #1
rpulido
LQ Newbie
 
Registered: Jun 2003
Posts: 4

Rep: Reputation: 0
Need help uninstalling old version of mysql


Hello,
I need some help uninstalling the old version of MYSQL so that I may install the 4.0 version.

[root@h-64-105-xxx.xxx mysql]# rpm -e mysql-3.23.54a-11
error: Failed dependencies:
libmysqlclient.so.10 is needed by (installed) perl-DBD-MySQL-2.1021-3
[root@h-64-105-xxx.xxx mysql]# rpm -e perl-DBD-MySQL-2.1021-3
error: Failed dependencies:
perl-DBD-MySQL is needed by (installed) mysql-3.23.54a-11


As the text above states , I tried to remove mysql-3.23.54a-11 but it tell me that it has dependencies. then I tried to remove perl-DBD-MySQL-2.1021-3 and it tells me it needs mysql-3.23.54a-11 .

Whats gives. Help.
ps: I am new to Linux

Richie

Last edited by rpulido; 06-17-2003 at 07:01 PM.
 
Old 06-17-2003, 07:21 PM   #2
fancypiper
LQ Guru
 
Registered: Feb 2003
Location: Sparta, NC USA
Distribution: Ubuntu 10.04
Posts: 5,141

Rep: Reputation: 58
Maximum RPM, the RPM bible.

You didn't mention your distro, but since Red Hat is the most popular rpm distribution, I will give you these links and suggest apt4rpm or Red Carpet for software management.

# Red Hat links
Red Hat Linux Manuals
Get your mp3 support here
Maximum RPM
rpmfind
Easier software management: apt4rpm - Red Carpet
RedHat 8.0 Tips & Tricks

# Redhat 7.3 down configuration commands
setup leads to several configuration tools

# Redhat 7.3 up configuration commands
Configure soundcard:
redhat-config-soundcard
Configure X server:
redhat-config-xfree86
Configure network:
redhat-config-network

# Handling NTFS
New Technology FileSystem (NTFS) HOWTOs
Linux NTFS project
 
Old 06-17-2003, 08:27 PM   #3
rpulido
LQ Newbie
 
Registered: Jun 2003
Posts: 4

Original Poster
Rep: Reputation: 0
I am using RH 9.0
 
Old 06-17-2003, 08:44 PM   #4
fancypiper
LQ Guru
 
Registered: Feb 2003
Location: Sparta, NC USA
Distribution: Ubuntu 10.04
Posts: 5,141

Rep: Reputation: 58
My favorite software manager for Red Hat is apt4rpm. For a gui front end, command:

apt-get install synaptic

after you install the two rpms for RH 9.0.
 
Old 06-17-2003, 08:46 PM   #5
fancypiper
LQ Guru
 
Registered: Feb 2003
Location: Sparta, NC USA
Distribution: Ubuntu 10.04
Posts: 5,141

Rep: Reputation: 58
BTW, did you try the update flag when you attempted your install?

rpm -Uvh <packagname>.rpm
 
Old 06-17-2003, 09:27 PM   #6
rpulido
LQ Newbie
 
Registered: Jun 2003
Posts: 4

Original Poster
Rep: Reputation: 0
fancypiper: tried what u suggested --- same result
 
Old 06-17-2003, 09:36 PM   #7
rpulido
LQ Newbie
 
Registered: Jun 2003
Posts: 4

Original Poster
Rep: Reputation: 0
I found the right command

rpm -ev --nodeps mysql-3.23.4

it uninstalled
Thanks all
 
Old 06-17-2003, 09:38 PM   #8
fancypiper
LQ Guru
 
Registered: Feb 2003
Location: Sparta, NC USA
Distribution: Ubuntu 10.04
Posts: 5,141

Rep: Reputation: 58
After installing the two apt4rpm packages, the command

apt-get dist-upgrade

will upgrade your system to the latest Red Hat 9.0 packages that are available.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
link dies intermittently-seemingly at random- between win<->linux not linux<->linux?? takahaya Linux - Networking 10 03-09-2007 11:37 PM
triple boot linux/linux/linux No Windows involved toastermaker Linux - Newbie 12 03-02-2006 11:40 PM
unstalling packages dr_zayus69 Linux - Newbie 3 12-01-2004 05:31 PM
Redhat (rhel v2.1) bootup problem with linux (linux vs linux-up) namgor Linux - Software 2 06-24-2004 03:49 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 10:32 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration